glob
is_executable
Filesystem Functions
PHP Manual

# is_dir

(PHP 4, PHP 5)

is_dir — Tells whether the filename is a directory

### Description

bool is_dir ( string `$filename` )

Tells whether the given filename is a directory.

### Parameters

`filename`

  Path to the file. If `filename` is a relative filename, it will be checked relative to the current working directory.

### Return Values

Returns `TRUE` if the filename exists and is a directory, `FALSE` otherwise.

### Examples

Example #1 is_dir() example

`<?php
var_dump(is_dir('a_file.txt'));
var_dump(is_dir('bogus_dir/abc'));
var_dump(is_dir('..')); //one dir up
?>`

The above example will output:

    bool(false)
    bool(false)
    bool(true)

### Notes

> Note: The results of this function are cached. See clearstatcache() for more details.

Tip

As of PHP 5.0.0, this function can also be used with some URL wrappers. Refer to List of Supported Protocols/Wrappers for a listing of which wrappers support stat() family of functionality.

### See Also

- chdir()
- dir
- opendir()
- is_file()
- is_link()

glob
is_executable
Filesystem Functions
PHP Manual